Rerun execution
curl --request POST \
--url https://odyssey.asteroid.ai/agents/v2/executions/{executionId}/rerun \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {}
}
'import requests
url = "https://odyssey.asteroid.ai/agents/v2/executions/{executionId}/rerun"
payload = {
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {}
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', inputs: {}})
};
fetch('https://odyssey.asteroid.ai/agents/v2/executions/{executionId}/rerun', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": 400,
"message": "<string>"
}{
"code": 401,
"message": "<string>"
}{
"code": 402,
"message": "<string>"
}{
"code": 403,
"message": "<string>"
}{
"code": 404,
"message": "<string>"
}{
"code": 500,
"message": "<string>"
}Execution
Rerun execution
Start a new execution of the same workflow version as the original. The new execution copies the original’s inputs, agent profile, metadata and execution options, and records the original as its parent. Set inputs or agentProfileId in the body to replace the copied values. Files staged for the original execution are not copied.
POST
/
executions
/
{executionId}
/
rerun
Rerun execution
Authorizations
Path Parameters
The unique identifier of the execution to rerun
Body
application/json
Values that replace the copied ones
Response
The request has been accepted for processing, but processing has not yet completed.
Response after starting workflow execution
The ID of the newly created execution

